package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumDeviceHbCmd {

    CMD_NULL(0, "无"),
    CMD_POWER_OFF(1, "关机");
    public static EnumDeviceHbCmd getEnum(Integer code) {
        for (EnumDeviceHbCmd value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumDeviceHbCmd(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
